ChangeSet 1.1722.83.18, 2004/06/04 15:13:16-07:00, jnardelli@infosciences.com

[PATCH] USB: fix Memory leak in visor.c and ftdi_sio.c

Signed-off-by: Joe Nardelli <jnardelli@infosciences.com>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/serial/ftdi_sio.c |    1 +
 drivers/usb/serial/visor.c    |    1 +
 2 files changed, 2 insertions(+)


diff -Nru a/drivers/usb/serial/ftdi_sio.c b/drivers/usb/serial/ftdi_sio.c
--- a/drivers/usb/serial/ftdi_sio.c	Fri Jun 18 11:03:43 2004
+++ b/drivers/usb/serial/ftdi_sio.c	Fri Jun 18 11:03:43 2004
@@ -1504,6 +1504,7 @@
 	if (status) {
 		err("%s - failed submitting write urb, error %d", __FUNCTION__, status);
 		count = status;
+		kfree (buffer);
 	}
 
 	/* we are done with this urb, so let the host driver
diff -Nru a/drivers/usb/serial/visor.c b/drivers/usb/serial/visor.c
--- a/drivers/usb/serial/visor.c	Fri Jun 18 11:03:43 2004
+++ b/drivers/usb/serial/visor.c	Fri Jun 18 11:03:43 2004
@@ -518,6 +518,7 @@
 		dev_err(&port->dev, "%s - usb_submit_urb(write bulk) failed with status = %d\n",
 			__FUNCTION__, status);
 		count = status;
+		kfree (buffer);
 	} else {
 		bytes_out += count;
 	}
